package org.minueto.image;

import java.awt.*;


public class AlphaFilter implements ImageFilter {

	int value;

	public AlphaFilter(int value) {
		super();
        
        this.value = value;
	}

	/* (non-Javadoc)
	 * @see Minueto.ImageFilter#process(int, int, int)
	 */
	public int apply(int x, int y, int argb) {
                                               
		Color oldColor = new Color(argb);

		return new Color(oldColor.getRed(), oldColor.getGreen(), oldColor.getBlue(), value).getRGB();
	}
}
