// $ANTLR 2.7.7 (20070330): "carl.g" -> "carlParser.java"$

    package cage.carl;

import antlr.TokenBuffer;
import antlr.TokenStreamException;
import antlr.TokenStreamIOException;
import antlr.ANTLRException;
import antlr.LLkParser;
import antlr.Token;
import antlr.TokenStream;
import antlr.RecognitionException;
import antlr.NoViableAltException;
import antlr.MismatchedTokenException;
import antlr.SemanticException;
import antlr.ParserSharedInputState;
import antlr.collections.impl.BitSet;
import antlr.collections.AST;
import java.util.Hashtable;
import antlr.ASTFactory;
import antlr.ASTPair;
import antlr.collections.impl.ASTArray;

public class carlParser extends antlr.LLkParser       implements carlLexerTokenTypes
 {

protected carlParser(TokenBuffer tokenBuf, int k) {
  super(tokenBuf,k);
  tokenNames = _tokenNames;
  buildTokenTypeASTClassMap();
  astFactory = new ASTFactory(getTokenTypeToASTClassMap());
}

public carlParser(TokenBuffer tokenBuf) {
  this(tokenBuf,3);
}

protected carlParser(TokenStream lexer, int k) {
  super(lexer,k);
  tokenNames = _tokenNames;
  buildTokenTypeASTClassMap();
  astFactory = new ASTFactory(getTokenTypeToASTClassMap());
}

public carlParser(TokenStream lexer) {
  this(lexer,3);
}

public carlParser(ParserSharedInputState state) {
  super(state,3);
  tokenNames = _tokenNames;
  buildTokenTypeASTClassMap();
  astFactory = new ASTFactory(getTokenTypeToASTClassMap());
}

	public final void start() throws RecognitionException, TokenStreamException {
		
		returnAST = null;
		ASTPair currentAST = new ASTPair();
		AST start_AST = null;
		
		script();
		astFactory.addASTChild(currentAST, returnAST);
		start_AST = (AST)currentAST.root;
		returnAST = start_AST;
	}
	
	public final void script() throws RecognitionException, TokenStreamException {
		
		returnAST = null;
		ASTPair currentAST = new ASTPair();
		AST script_AST = null;
		
		declarations();
		astFactory.addASTChild(currentAST, returnAST);
		functions();
		astFactory.addASTChild(currentAST, returnAST);
		script_AST = (AST)currentAST.root;
		script_AST = (AST)astFactory.make( (new ASTArray(2)).add(astFactory.create(SCRIPT,"SCRIPT")).add(script_AST));
		currentAST.root = script_AST;
		currentAST.child = script_AST!=null &&script_AST.getFirstChild()!=null ?
			script_AST.getFirstChild() : script_AST;
		currentAST.advanceChildToEnd();
		script_AST = (AST)currentAST.root;
		returnAST = script_AST;
	}
	
	public final void declarations() throws RecognitionException, TokenStreamException {
		
		returnAST = null;
		ASTPair currentAST = new ASTPair();
		AST declarations_AST = null;
		
		{
		_loop51:
		do {
			if ((LA(1)==ID)) {
				decl();
				astFactory.addASTChild(currentAST, returnAST);
			}
			else {
				break _loop51;
			}
			
		} while (true);
		}
		declarations_AST = (AST)currentAST.root;
		declarations_AST = (AST)astFactory.make( (new ASTArray(2)).add(astFactory.create(DECLS,"DECLS")).add(declarations_AST));
		currentAST.root = declarations_AST;
		currentAST.child = declarations_AST!=null &&declarations_AST.getFirstChild()!=null ?
			declarations_AST.getFirstChild() : declarations_AST;
		currentAST.advanceChildToEnd();
		declarations_AST = (AST)currentAST.root;
		returnAST = declarations_AST;
	}
	
	public final void functions() throws RecognitionException, TokenStreamException {
		
		returnAST = null;
		ASTPair currentAST = new ASTPair();
		AST functions_AST = null;
		
		{
		_loop56:
		do {
			switch ( LA(1)) {
			case ACTN:
			{
				action();
				astFactory.addASTChild(currentAST, returnAST);
				break;
			}
			case FUNC:
			{
				function();
				astFactory.addASTChild(currentAST, returnAST);
				break;
			}
			default:
			{
				break _loop56;
			}
			}
		} while (true);
		}
		functions_AST = (AST)currentAST.root;
		functions_AST = (AST)astFactory.make( (new ASTArray(2)).add(astFactory.create(FUNCS,"FUNCS")).add(functions_AST));
		currentAST.root = functions_AST;
		currentAST.child = functions_AST!=null &&functions_AST.getFirstChild()!=null ?
			functions_AST.getFirstChild() : functions_AST;
		currentAST.advanceChildToEnd();
		functions_AST = (AST)currentAST.root;
		returnAST = functions_AST;
	}
	
	public final void decl() throws RecognitionException, TokenStreamException {
		
		returnAST = null;
		ASTPair currentAST = new ASTPair();
		AST decl_AST = null;
		
		AST tmp47_AST = null;
		tmp47_AST = astFactory.create(LT(1));
		astFactory.makeASTRoot(currentAST, tmp47_AST);
		match(ID);
		match(COLON);
		type();
		astFactory.addASTChild(currentAST, returnAST);
		decl_AST = (AST)currentAST.root;
		returnAST = decl_AST;
	}
	
	public final void type() throws RecognitionException, TokenStreamException {
		
		returnAST = null;
		ASTPair currentAST = new ASTPair();
		AST type_AST = null;
		
		switch ( LA(1)) {
		case INT:
		{
			AST tmp49_AST = null;
			tmp49_AST = astFactory.create(LT(1));
			astFactory.addASTChild(currentAST, tmp49_AST);
			match(INT);
			type_AST = (AST)currentAST.root;
			break;
		}
		case REAL:
		{
			AST tmp50_AST = null;
			tmp50_AST = astFactory.create(LT(1));
			astFactory.addASTChild(currentAST, tmp50_AST);
			match(REAL);
			type_AST = (AST)currentAST.root;
			break;
		}
		case BOOL:
		{
			AST tmp51_AST = null;
			tmp51_AST = astFactory.create(LT(1));
			astFactory.addASTChild(currentAST, tmp51_AST);
			match(BOOL);
			type_AST = (AST)currentAST.root;
			break;
		}
		case PT:
		{
			AST tmp52_AST = null;
			tmp52_AST = astFactory.create(LT(1));
			astFactory.addASTChild(currentAST, tmp52_AST);
			match(PT);
			type_AST = (AST)currentAST.root;
			break;
		}
		case STRING:
		{
			AST tmp53_AST = null;
			tmp53_AST = astFactory.create(LT(1));
			astFactory.addASTChild(currentAST, tmp53_AST);
			match(STRING);
			type_AST = (AST)currentAST.root;
			break;
		}
		case NOTHING:
		{
			AST tmp54_AST = null;
			tmp54_AST = astFactory.create(LT(1));
			astFactory.addASTChild(currentAST, tmp54_AST);
			match(NOTHING);
			type_AST = (AST)currentAST.root;
			break;
		}
		default:
		{
			throw new NoViableAltException(LT(1), getFilename());
		}
		}
		returnAST = type_AST;
	}
	
	public final void action() throws RecognitionException, TokenStreamException {
		
		returnAST = null;
		ASTPair currentAST = new ASTPair();
		AST action_AST = null;
		
		AST tmp55_AST = null;
		tmp55_AST = astFactory.create(LT(1));
		astFactory.makeASTRoot(currentAST, tmp55_AST);
		match(ACTN);
		AST tmp56_AST = null;
		tmp56_AST = astFactory.create(LT(1));
		astFactory.addASTChild(currentAST, tmp56_AST);
		match(ID);
		block();
		astFactory.addASTChild(currentAST, returnAST);
		action_AST = (AST)currentAST.root;
		returnAST = action_AST;
	}
	
	public final void function() throws RecognitionException, TokenStreamException {
		
		returnAST = null;
		ASTPair currentAST = new ASTPair();
		AST function_AST = null;
		
		AST tmp57_AST = null;
		tmp57_AST = astFactory.create(LT(1));
		astFactory.makeASTRoot(currentAST, tmp57_AST);
		match(FUNC);
		AST tmp58_AST = null;
		tmp58_AST = astFactory.create(LT(1));
		astFactory.addASTChild(currentAST, tmp58_AST);
		match(ID);
		match(TAKES);
		{
		switch ( LA(1)) {
		case NOTHING:
		{
			match(NOTHING);
			break;
		}
		case RETURNS:
		case ID:
		{
			declarations();
			astFactory.addASTChild(currentAST, returnAST);
			break;
		}
		default:
		{
			throw new NoViableAltException(LT(1), getFilename());
		}
		}
		}
		match(RETURNS);
		type();
		astFactory.addASTChild(currentAST, returnAST);
		block();
		astFactory.addASTChild(currentAST, returnAST);
		function_AST = (AST)currentAST.root;
		returnAST = function_AST;
	}
	
	public final void block() throws RecognitionException, TokenStreamException {
		
		returnAST = null;
		ASTPair currentAST = new ASTPair();
		AST block_AST = null;
		
		match(LBRACE);
		block_innards();
		astFactory.addASTChild(currentAST, returnAST);
		match(RBRACE);
		block_AST = (AST)currentAST.root;
		returnAST = block_AST;
	}
	
	public final void block_innards() throws RecognitionException, TokenStreamException {
		
		returnAST = null;
		ASTPair currentAST = new ASTPair();
		AST block_innards_AST = null;
		
		{
		_loop63:
		do {
			if ((LA(1)==ID) && (LA(2)==COLON)) {
				decl();
				astFactory.addASTChild(currentAST, returnAST);
			}
			else if ((_tokenSet_0.member(LA(1))) && (_tokenSet_1.member(LA(2)))) {
				statement();
				astFactory.addASTChild(currentAST, returnAST);
			}
			else {
				break _loop63;
			}
			
		} while (true);
		}
		block_innards_AST = (AST)currentAST.root;
		block_innards_AST = (AST)astFactory.make( (new ASTArray(2)).add(astFactory.create(BLOCK,"BLOCK")).add(block_innards_AST));
		currentAST.root = block_innards_AST;
		currentAST.child = block_innards_AST!=null &&block_innards_AST.getFirstChild()!=null ?
			block_innards_AST.getFirstChild() : block_innards_AST;
		currentAST.advanceChildToEnd();
		block_innards_AST = (AST)currentAST.root;
		returnAST = block_innards_AST;
	}
	
	public final void statement() throws RecognitionException, TokenStreamException {
		
		returnAST = null;
		ASTPair currentAST = new ASTPair();
		AST statement_AST = null;
		
		switch ( LA(1)) {
		case IF:
		{
			if_statement();
			astFactory.addASTChild(currentAST, returnAST);
			statement_AST = (AST)currentAST.root;
			break;
		}
		case WHILE:
		{
			while_statement();
			astFactory.addASTChild(currentAST, returnAST);
			statement_AST = (AST)currentAST.root;
			break;
		}
		case RETURN:
		case ID:
		{
			command();
			astFactory.addASTChild(currentAST, returnAST);
			statement_AST = (AST)currentAST.root;
			break;
		}
		default:
		{
			throw new NoViableAltException(LT(1), getFilename());
		}
		}
		returnAST = statement_AST;
	}
	
	public final void if_statement() throws RecognitionException, TokenStreamException {
		
		returnAST = null;
		ASTPair currentAST = new ASTPair();
		AST if_statement_AST = null;
		
		AST tmp64_AST = null;
		tmp64_AST = astFactory.create(LT(1));
		astFactory.makeASTRoot(currentAST, tmp64_AST);
		match(IF);
		expression();
		astFactory.addASTChild(currentAST, returnAST);
		block();
		astFactory.addASTChild(currentAST, returnAST);
		{
		switch ( LA(1)) {
		case ELSEIF:
		{
			elseif_statements();
			astFactory.addASTChild(currentAST, returnAST);
			break;
		}
		case IF:
		case ELSE:
		case WHILE:
		case RETURN:
		case RBRACE:
		case ID:
		{
			break;
		}
		default:
		{
			throw new NoViableAltException(LT(1), getFilename());
		}
		}
		}
		{
		switch ( LA(1)) {
		case ELSE:
		{
			match(ELSE);
			block();
			astFactory.addASTChild(currentAST, returnAST);
			break;
		}
		case IF:
		case WHILE:
		case RETURN:
		case RBRACE:
		case ID:
		{
			break;
		}
		default:
		{
			throw new NoViableAltException(LT(1), getFilename());
		}
		}
		}
		if_statement_AST = (AST)currentAST.root;
		returnAST = if_statement_AST;
	}
	
	public final void while_statement() throws RecognitionException, TokenStreamException {
		
		returnAST = null;
		ASTPair currentAST = new ASTPair();
		AST while_statement_AST = null;
		
		AST tmp66_AST = null;
		tmp66_AST = astFactory.create(LT(1));
		astFactory.makeASTRoot(currentAST, tmp66_AST);
		match(WHILE);
		expression();
		astFactory.addASTChild(currentAST, returnAST);
		block();
		astFactory.addASTChild(currentAST, returnAST);
		while_statement_AST = (AST)currentAST.root;
		returnAST = while_statement_AST;
	}
	
	public final void command() throws RecognitionException, TokenStreamException {
		
		returnAST = null;
		ASTPair currentAST = new ASTPair();
		AST command_AST = null;
		
		if ((LA(1)==ID) && (_tokenSet_2.member(LA(2)))) {
			call();
			astFactory.addASTChild(currentAST, returnAST);
			match(SEMI);
			command_AST = (AST)currentAST.root;
		}
		else if ((LA(1)==ID) && (LA(2)==EQUAL||LA(2)==DOTX||LA(2)==DOTY)) {
			assign();
			astFactory.addASTChild(currentAST, returnAST);
			match(SEMI);
			command_AST = (AST)currentAST.root;
		}
		else if ((LA(1)==RETURN)) {
			return_statement();
			astFactory.addASTChild(currentAST, returnAST);
			match(SEMI);
			command_AST = (AST)currentAST.root;
		}
		else {
			throw new NoViableAltException(LT(1), getFilename());
		}
		
		returnAST = command_AST;
	}
	
	public final void expression() throws RecognitionException, TokenStreamException {
		
		returnAST = null;
		ASTPair currentAST = new ASTPair();
		AST expression_AST = null;
		
		switch ( LA(1)) {
		case BANG:
		{
			AST tmp70_AST = null;
			tmp70_AST = astFactory.create(LT(1));
			astFactory.makeASTRoot(currentAST, tmp70_AST);
			match(BANG);
			stuff();
			astFactory.addASTChild(currentAST, returnAST);
			expression_AST = (AST)currentAST.root;
			break;
		}
		case SUB:
		{
			match(SUB);
			stuff();
			astFactory.addASTChild(currentAST, returnAST);
			expression_AST = (AST)currentAST.root;
			expression_AST = (AST)astFactory.make( (new ASTArray(2)).add(astFactory.create(NEG,"NEG")).add(expression_AST));
			currentAST.root = expression_AST;
			currentAST.child = expression_AST!=null &&expression_AST.getFirstChild()!=null ?
				expression_AST.getFirstChild() : expression_AST;
			currentAST.advanceChildToEnd();
			expression_AST = (AST)currentAST.root;
			break;
		}
		case FALSE:
		case TRUE:
		case LPAREN:
		case LBRACKET:
		case LT:
		case ID:
		case NUMBER:
		case STR:
		{
			stuff();
			astFactory.addASTChild(currentAST, returnAST);
			expression_AST = (AST)currentAST.root;
			break;
		}
		default:
		{
			throw new NoViableAltException(LT(1), getFilename());
		}
		}
		returnAST = expression_AST;
	}
	
	public final void elseif_statements() throws RecognitionException, TokenStreamException {
		
		returnAST = null;
		ASTPair currentAST = new ASTPair();
		AST elseif_statements_AST = null;
		
		{
		int _cnt70=0;
		_loop70:
		do {
			if ((LA(1)==ELSEIF)) {
				elseif_statement();
				astFactory.addASTChild(currentAST, returnAST);
			}
			else {
				if ( _cnt70>=1 ) { break _loop70; } else {throw new NoViableAltException(LT(1), getFilename());}
			}
			
			_cnt70++;
		} while (true);
		}
		elseif_statements_AST = (AST)currentAST.root;
		elseif_statements_AST = (AST)astFactory.make( (new ASTArray(2)).add(astFactory.create(ELIFS,"ELIFS")).add(elseif_statements_AST));
		currentAST.root = elseif_statements_AST;
		currentAST.child = elseif_statements_AST!=null &&elseif_statements_AST.getFirstChild()!=null ?
			elseif_statements_AST.getFirstChild() : elseif_statements_AST;
		currentAST.advanceChildToEnd();
		elseif_statements_AST = (AST)currentAST.root;
		returnAST = elseif_statements_AST;
	}
	
	public final void elseif_statement() throws RecognitionException, TokenStreamException {
		
		returnAST = null;
		ASTPair currentAST = new ASTPair();
		AST elseif_statement_AST = null;
		
		AST tmp72_AST = null;
		tmp72_AST = astFactory.create(LT(1));
		astFactory.makeASTRoot(currentAST, tmp72_AST);
		match(ELSEIF);
		expression();
		astFactory.addASTChild(currentAST, returnAST);
		block();
		astFactory.addASTChild(currentAST, returnAST);
		elseif_statement_AST = (AST)currentAST.root;
		returnAST = elseif_statement_AST;
	}
	
	public final void call() throws RecognitionException, TokenStreamException {
		
		returnAST = null;
		ASTPair currentAST = new ASTPair();
		AST call_AST = null;
		
		AST tmp73_AST = null;
		tmp73_AST = astFactory.create(LT(1));
		astFactory.addASTChild(currentAST, tmp73_AST);
		match(ID);
		{
		_loop76:
		do {
			if ((_tokenSet_3.member(LA(1)))) {
				expression();
				astFactory.addASTChild(currentAST, returnAST);
			}
			else {
				break _loop76;
			}
			
		} while (true);
		}
		call_AST = (AST)currentAST.root;
		call_AST = (AST)astFactory.make( (new ASTArray(2)).add(astFactory.create(CALL,"CALL")).add(call_AST));
		currentAST.root = call_AST;
		currentAST.child = call_AST!=null &&call_AST.getFirstChild()!=null ?
			call_AST.getFirstChild() : call_AST;
		currentAST.advanceChildToEnd();
		call_AST = (AST)currentAST.root;
		returnAST = call_AST;
	}
	
	public final void assign() throws RecognitionException, TokenStreamException {
		
		returnAST = null;
		ASTPair currentAST = new ASTPair();
		AST assign_AST = null;
		
		if ((LA(1)==ID) && (LA(2)==EQUAL)) {
			AST tmp74_AST = null;
			tmp74_AST = astFactory.create(LT(1));
			astFactory.addASTChild(currentAST, tmp74_AST);
			match(ID);
			match(EQUAL);
			expression();
			astFactory.addASTChild(currentAST, returnAST);
			assign_AST = (AST)currentAST.root;
			assign_AST = (AST)astFactory.make( (new ASTArray(2)).add(astFactory.create(ASSIGN,"ASSIGN")).add(assign_AST));
			currentAST.root = assign_AST;
			currentAST.child = assign_AST!=null &&assign_AST.getFirstChild()!=null ?
				assign_AST.getFirstChild() : assign_AST;
			currentAST.advanceChildToEnd();
			assign_AST = (AST)currentAST.root;
		}
		else if ((LA(1)==ID) && (LA(2)==DOTX)) {
			AST tmp76_AST = null;
			tmp76_AST = astFactory.create(LT(1));
			astFactory.addASTChild(currentAST, tmp76_AST);
			match(ID);
			match(DOTX);
			match(EQUAL);
			expression();
			astFactory.addASTChild(currentAST, returnAST);
			assign_AST = (AST)currentAST.root;
			assign_AST = (AST)astFactory.make( (new ASTArray(2)).add(astFactory.create(ASSIGN_DOTX,"ASSIGN_DOTX")).add(assign_AST));
			currentAST.root = assign_AST;
			currentAST.child = assign_AST!=null &&assign_AST.getFirstChild()!=null ?
				assign_AST.getFirstChild() : assign_AST;
			currentAST.advanceChildToEnd();
			assign_AST = (AST)currentAST.root;
		}
		else if ((LA(1)==ID) && (LA(2)==DOTY)) {
			AST tmp79_AST = null;
			tmp79_AST = astFactory.create(LT(1));
			astFactory.addASTChild(currentAST, tmp79_AST);
			match(ID);
			match(DOTY);
			match(EQUAL);
			expression();
			astFactory.addASTChild(currentAST, returnAST);
			assign_AST = (AST)currentAST.root;
			assign_AST = (AST)astFactory.make( (new ASTArray(2)).add(astFactory.create(ASSIGN_DOTY,"ASSIGN_DOTY")).add(assign_AST));
			currentAST.root = assign_AST;
			currentAST.child = assign_AST!=null &&assign_AST.getFirstChild()!=null ?
				assign_AST.getFirstChild() : assign_AST;
			currentAST.advanceChildToEnd();
			assign_AST = (AST)currentAST.root;
		}
		else {
			throw new NoViableAltException(LT(1), getFilename());
		}
		
		returnAST = assign_AST;
	}
	
	public final void return_statement() throws RecognitionException, TokenStreamException {
		
		returnAST = null;
		ASTPair currentAST = new ASTPair();
		AST return_statement_AST = null;
		
		AST tmp82_AST = null;
		tmp82_AST = astFactory.create(LT(1));
		astFactory.makeASTRoot(currentAST, tmp82_AST);
		match(RETURN);
		{
		switch ( LA(1)) {
		case FALSE:
		case TRUE:
		case LPAREN:
		case LBRACKET:
		case LT:
		case SUB:
		case BANG:
		case ID:
		case NUMBER:
		case STR:
		{
			expression();
			astFactory.addASTChild(currentAST, returnAST);
			break;
		}
		case SEMI:
		{
			break;
		}
		default:
		{
			throw new NoViableAltException(LT(1), getFilename());
		}
		}
		}
		return_statement_AST = (AST)currentAST.root;
		returnAST = return_statement_AST;
	}
	
	public final void stuff() throws RecognitionException, TokenStreamException {
		
		returnAST = null;
		ASTPair currentAST = new ASTPair();
		AST stuff_AST = null;
		
		switch ( LA(1)) {
		case FALSE:
		case TRUE:
		case LT:
		case ID:
		case NUMBER:
		case STR:
		{
			item();
			astFactory.addASTChild(currentAST, returnAST);
			stuff_AST = (AST)currentAST.root;
			break;
		}
		case LPAREN:
		{
			match(LPAREN);
			boolop();
			astFactory.addASTChild(currentAST, returnAST);
			match(RPAREN);
			stuff_AST = (AST)currentAST.root;
			break;
		}
		case LBRACKET:
		{
			match(LBRACKET);
			call();
			astFactory.addASTChild(currentAST, returnAST);
			match(RBRACKET);
			stuff_AST = (AST)currentAST.root;
			break;
		}
		default:
		{
			throw new NoViableAltException(LT(1), getFilename());
		}
		}
		returnAST = stuff_AST;
	}
	
	public final void item() throws RecognitionException, TokenStreamException {
		
		returnAST = null;
		ASTPair currentAST = new ASTPair();
		AST item_AST = null;
		
		switch ( LA(1)) {
		case NUMBER:
		{
			AST tmp87_AST = null;
			tmp87_AST = astFactory.create(LT(1));
			astFactory.addASTChild(currentAST, tmp87_AST);
			match(NUMBER);
			item_AST = (AST)currentAST.root;
			break;
		}
		case TRUE:
		{
			AST tmp88_AST = null;
			tmp88_AST = astFactory.create(LT(1));
			astFactory.addASTChild(currentAST, tmp88_AST);
			match(TRUE);
			item_AST = (AST)currentAST.root;
			break;
		}
		case FALSE:
		{
			AST tmp89_AST = null;
			tmp89_AST = astFactory.create(LT(1));
			astFactory.addASTChild(currentAST, tmp89_AST);
			match(FALSE);
			item_AST = (AST)currentAST.root;
			break;
		}
		case LT:
		{
			point();
			astFactory.addASTChild(currentAST, returnAST);
			item_AST = (AST)currentAST.root;
			break;
		}
		case STR:
		{
			AST tmp90_AST = null;
			tmp90_AST = astFactory.create(LT(1));
			astFactory.addASTChild(currentAST, tmp90_AST);
			match(STR);
			item_AST = (AST)currentAST.root;
			break;
		}
		default:
			if ((LA(1)==ID) && (_tokenSet_4.member(LA(2)))) {
				AST tmp91_AST = null;
				tmp91_AST = astFactory.create(LT(1));
				astFactory.addASTChild(currentAST, tmp91_AST);
				match(ID);
				item_AST = (AST)currentAST.root;
			}
			else if ((LA(1)==ID) && (LA(2)==DOTX||LA(2)==DOTY)) {
				pointdot();
				astFactory.addASTChild(currentAST, returnAST);
				item_AST = (AST)currentAST.root;
			}
		else {
			throw new NoViableAltException(LT(1), getFilename());
		}
		}
		returnAST = item_AST;
	}
	
	public final void boolop() throws RecognitionException, TokenStreamException {
		
		returnAST = null;
		ASTPair currentAST = new ASTPair();
		AST boolop_AST = null;
		
		comp();
		astFactory.addASTChild(currentAST, returnAST);
		{
		_loop85:
		do {
			if ((LA(1)==AND||LA(1)==OR)) {
				{
				switch ( LA(1)) {
				case AND:
				{
					AST tmp92_AST = null;
					tmp92_AST = astFactory.create(LT(1));
					astFactory.makeASTRoot(currentAST, tmp92_AST);
					match(AND);
					break;
				}
				case OR:
				{
					AST tmp93_AST = null;
					tmp93_AST = astFactory.create(LT(1));
					astFactory.makeASTRoot(currentAST, tmp93_AST);
					match(OR);
					break;
				}
				default:
				{
					throw new NoViableAltException(LT(1), getFilename());
				}
				}
				}
				comp();
				astFactory.addASTChild(currentAST, returnAST);
			}
			else {
				break _loop85;
			}
			
		} while (true);
		}
		boolop_AST = (AST)currentAST.root;
		returnAST = boolop_AST;
	}
	
	public final void comp() throws RecognitionException, TokenStreamException {
		
		returnAST = null;
		ASTPair currentAST = new ASTPair();
		AST comp_AST = null;
		
		addop();
		astFactory.addASTChild(currentAST, returnAST);
		{
		switch ( LA(1)) {
		case EQ:
		case NE:
		case LT:
		case LE:
		case GT:
		case GE:
		{
			{
			switch ( LA(1)) {
			case EQ:
			{
				AST tmp94_AST = null;
				tmp94_AST = astFactory.create(LT(1));
				astFactory.makeASTRoot(currentAST, tmp94_AST);
				match(EQ);
				break;
			}
			case NE:
			{
				AST tmp95_AST = null;
				tmp95_AST = astFactory.create(LT(1));
				astFactory.makeASTRoot(currentAST, tmp95_AST);
				match(NE);
				break;
			}
			case LT:
			{
				AST tmp96_AST = null;
				tmp96_AST = astFactory.create(LT(1));
				astFactory.makeASTRoot(currentAST, tmp96_AST);
				match(LT);
				break;
			}
			case GT:
			{
				AST tmp97_AST = null;
				tmp97_AST = astFactory.create(LT(1));
				astFactory.makeASTRoot(currentAST, tmp97_AST);
				match(GT);
				break;
			}
			case LE:
			{
				AST tmp98_AST = null;
				tmp98_AST = astFactory.create(LT(1));
				astFactory.makeASTRoot(currentAST, tmp98_AST);
				match(LE);
				break;
			}
			case GE:
			{
				AST tmp99_AST = null;
				tmp99_AST = astFactory.create(LT(1));
				astFactory.makeASTRoot(currentAST, tmp99_AST);
				match(GE);
				break;
			}
			default:
			{
				throw new NoViableAltException(LT(1), getFilename());
			}
			}
			}
			addop();
			astFactory.addASTChild(currentAST, returnAST);
			break;
		}
		case RPAREN:
		case AND:
		case OR:
		{
			break;
		}
		default:
		{
			throw new NoViableAltException(LT(1), getFilename());
		}
		}
		}
		comp_AST = (AST)currentAST.root;
		returnAST = comp_AST;
	}
	
	public final void addop() throws RecognitionException, TokenStreamException {
		
		returnAST = null;
		ASTPair currentAST = new ASTPair();
		AST addop_AST = null;
		
		multop();
		astFactory.addASTChild(currentAST, returnAST);
		{
		_loop92:
		do {
			if ((LA(1)==ADD||LA(1)==SUB)) {
				{
				switch ( LA(1)) {
				case ADD:
				{
					AST tmp100_AST = null;
					tmp100_AST = astFactory.create(LT(1));
					astFactory.makeASTRoot(currentAST, tmp100_AST);
					match(ADD);
					break;
				}
				case SUB:
				{
					AST tmp101_AST = null;
					tmp101_AST = astFactory.create(LT(1));
					astFactory.makeASTRoot(currentAST, tmp101_AST);
					match(SUB);
					break;
				}
				default:
				{
					throw new NoViableAltException(LT(1), getFilename());
				}
				}
				}
				multop();
				astFactory.addASTChild(currentAST, returnAST);
			}
			else {
				break _loop92;
			}
			
		} while (true);
		}
		addop_AST = (AST)currentAST.root;
		returnAST = addop_AST;
	}
	
	public final void multop() throws RecognitionException, TokenStreamException {
		
		returnAST = null;
		ASTPair currentAST = new ASTPair();
		AST multop_AST = null;
		
		expression();
		astFactory.addASTChild(currentAST, returnAST);
		{
		_loop96:
		do {
			if ((LA(1)==MULT||LA(1)==DIV)) {
				{
				switch ( LA(1)) {
				case MULT:
				{
					AST tmp102_AST = null;
					tmp102_AST = astFactory.create(LT(1));
					astFactory.makeASTRoot(currentAST, tmp102_AST);
					match(MULT);
					break;
				}
				case DIV:
				{
					AST tmp103_AST = null;
					tmp103_AST = astFactory.create(LT(1));
					astFactory.makeASTRoot(currentAST, tmp103_AST);
					match(DIV);
					break;
				}
				default:
				{
					throw new NoViableAltException(LT(1), getFilename());
				}
				}
				}
				expression();
				astFactory.addASTChild(currentAST, returnAST);
			}
			else {
				break _loop96;
			}
			
		} while (true);
		}
		multop_AST = (AST)currentAST.root;
		returnAST = multop_AST;
	}
	
	public final void point() throws RecognitionException, TokenStreamException {
		
		returnAST = null;
		ASTPair currentAST = new ASTPair();
		AST point_AST = null;
		
		match(LT);
		expression();
		astFactory.addASTChild(currentAST, returnAST);
		match(COMMA);
		expression();
		astFactory.addASTChild(currentAST, returnAST);
		match(GT);
		point_AST = (AST)currentAST.root;
		point_AST = (AST)astFactory.make( (new ASTArray(2)).add(astFactory.create(POINT,"POINT")).add(point_AST));
		currentAST.root = point_AST;
		currentAST.child = point_AST!=null &&point_AST.getFirstChild()!=null ?
			point_AST.getFirstChild() : point_AST;
		currentAST.advanceChildToEnd();
		point_AST = (AST)currentAST.root;
		returnAST = point_AST;
	}
	
	public final void pointdot() throws RecognitionException, TokenStreamException {
		
		returnAST = null;
		ASTPair currentAST = new ASTPair();
		AST pointdot_AST = null;
		
		if ((LA(1)==ID) && (LA(2)==DOTX)) {
			AST tmp107_AST = null;
			tmp107_AST = astFactory.create(LT(1));
			astFactory.addASTChild(currentAST, tmp107_AST);
			match(ID);
			AST tmp108_AST = null;
			tmp108_AST = astFactory.create(LT(1));
			astFactory.makeASTRoot(currentAST, tmp108_AST);
			match(DOTX);
			pointdot_AST = (AST)currentAST.root;
		}
		else if ((LA(1)==ID) && (LA(2)==DOTY)) {
			AST tmp109_AST = null;
			tmp109_AST = astFactory.create(LT(1));
			astFactory.addASTChild(currentAST, tmp109_AST);
			match(ID);
			AST tmp110_AST = null;
			tmp110_AST = astFactory.create(LT(1));
			astFactory.makeASTRoot(currentAST, tmp110_AST);
			match(DOTY);
			pointdot_AST = (AST)currentAST.root;
		}
		else {
			throw new NoViableAltException(LT(1), getFilename());
		}
		
		returnAST = pointdot_AST;
	}
	
	
	public static final String[] _tokenNames = {
		"<0>",
		"EOF",
		"<2>",
		"NULL_TREE_LOOKAHEAD",
		"\"function\"",
		"\"action\"",
		"\"takes\"",
		"\"returns\"",
		"\"if\"",
		"\"elseif\"",
		"\"else\"",
		"\"while\"",
		"\"return\"",
		"\"int\"",
		"\"bool\"",
		"\"real\"",
		"\"string\"",
		"\"point\"",
		"\"false\"",
		"\"true\"",
		"\"nothing\"",
		"LPAREN",
		"RPAREN",
		"LBRACE",
		"RBRACE",
		"LBRACKET",
		"RBRACKET",
		"SEMI",
		"COLON",
		"COMMA",
		"EQUAL",
		"EQ",
		"NE",
		"AND",
		"OR",
		"LT",
		"LE",
		"GT",
		"GE",
		"ADD",
		"SUB",
		"MULT",
		"DIV",
		"BANG",
		"DOTX",
		"DOTY",
		"ID",
		"NUMBER",
		"STR",
		"WS",
		"COMMENT",
		"SCRIPT",
		"DECLS",
		"FUNCS",
		"BLOCK",
		"CALL",
		"ASSIGN",
		"ASSIGN_DOTX",
		"ASSIGN_DOTY",
		"NEG",
		"POINT",
		"ELIFS"
	};
	
	protected void buildTokenTypeASTClassMap() {
		tokenTypeToASTClassMap=null;
	};
	
	private static final long[] mk_tokenSet_0() {
		long[] data = { 70368744184064L, 0L};
		return data;
	}
	public static final BitSet _tokenSet_0 = new BitSet(mk_tokenSet_0());
	private static final long[] mk_tokenSet_1() {
		long[] data = { 555288976162816L, 0L};
		return data;
	}
	public static final BitSet _tokenSet_1 = new BitSet(mk_tokenSet_1());
	private static final long[] mk_tokenSet_2() {
		long[] data = { 502511344287744L, 0L};
		return data;
	}
	public static final BitSet _tokenSet_2 = new BitSet(mk_tokenSet_2());
	private static final long[] mk_tokenSet_3() {
		long[] data = { 502511210070016L, 0L};
		return data;
	}
	public static final BitSet _tokenSet_3 = new BitSet(mk_tokenSet_3());
	private static final long[] mk_tokenSet_4() {
		long[] data = { 510172035022848L, 0L};
		return data;
	}
	public static final BitSet _tokenSet_4 = new BitSet(mk_tokenSet_4());
	
	}
