package cage.graphics;

import org.minueto.MinuetoColor;

/**
 * A thin wrapper for MinuetoColor intended to reduce the complexity
 * of changing Cage to a new supporting library in the future.
 * 
 * @author Seth Marinello
 */
public class Color extends MinuetoColor {

    /**
     * Instantiates a new color.
     */
    public Color() {
        super(0,0,0);
    }

    /**
     * Instantiates a new color.
     * 
     * @param r the r
     * @param g the g
     * @param b the b
     */
    public Color(int r, int g, int b) {
        super(r, g, b);
    }
}
